------------------------------------------------------------------------
--      Copyright (c) 1997, Ada95 Press, Inc
--      All rights reserved.
-- Author: D. C. Hoos
-- Department: Library Development
-- Revision History:
--   1997/12/29 D. C. Hoos
--     - Original version.
------------------------------------------------------------------------

------------------------------------------------------------------------
-- VALIDATED_COMMAN_LINE_PARAMETER
-- Purpose:
--   This generic function validates a discrete command-line parameter.
-- Effects:
--   The specified command-line argument is converted to a value of
--   Parameter_type.  If the conversion fails, an error message is
--   written to the Standard_Error file, Ada.Command_Line.Exit_Status
--   is set to Ada.Command_Line.Failure (in anticipation that the
--   main program will return if calling an instance of this function
--   results in the raising of an exception), and the Constraint_Error
--   exception is raised.
------------------------------------------------------------------------
generic
------------------------------------------------------------------------
-- Parameter_Type
-- Purpose:
--   This type is the type of the returned parameter.
------------------------------------------------------------------------
   type Parameter_Type is (<>);

------------------------------------------------------------------------
-- Meta_Name
-- Purpose:
--   This string is displayed between angle brackets as part of the
--   error message in the event of conversion failure.
------------------------------------------------------------------------
   Meta_Name : String;
function Validated_Command_Line_Parameter (Argument_Number : Positive)
      return Parameter_Type;

